import Gio from 'gi://Gio';
import Adw from 'gi://Adw';

import {ExtensionPreferences, gettext as _} from 'resource:///org/gnome/Shell/Extensions/js/extensions/prefs.js';


export default class WindowTitleIsBackExtensionPreferences extends ExtensionPreferences {
    fillPreferencesWindow(window) {
        const page = new Adw.PreferencesPage({
            title: 'Window Title Is Back extension',
            icon_name: 'dialog-information-symbolic',
        });
        window.add(page);

        const group = new Adw.PreferencesGroup({
            title: 'Settings',
        });
        page.add(group);

        const row_icon = new Adw.SwitchRow({
            title: 'Show Icon',
        });
        group.add(row_icon);

        window._settings = this.getSettings();
        window._settings.bind('show-icon', row_icon, 'active', Gio.SettingsBindFlags.DEFAULT);

        const row_app = new Adw.SwitchRow({
            title: 'Show App',
        });
        group.add(row_app);

        window._settings = this.getSettings();
        window._settings.bind('show-app', row_app, 'active', Gio.SettingsBindFlags.DEFAULT);

        const row_title = new Adw.SwitchRow({
            title: 'Show Title',
        });
        group.add(row_title);

        window._settings = this.getSettings();
        window._settings.bind('show-title', row_title, 'active', Gio.SettingsBindFlags.DEFAULT);
    }
}
